Recommended update for python-six

SUSE Recommended Update: Recommended update for python-six
Announcement ID: SUSE-RU-2018:4228-1
Rating: low
References: #1057496 #1113302
Affected Products:
  • SUSE Linux Enterprise Server 12-SP4
  • SUSE Linux Enterprise Server 12-SP3
  • SUSE Linux Enterprise Module for Public Cloud 12
  • SUSE Linux Enterprise Desktop 12-SP4
  • SUSE Linux Enterprise Desktop 12-SP3
  • SUSE CaaS Platform ALL
  • SUSE CaaS Platform 3.0
  • OpenStack Cloud Magnum Orchestration 7

An update that has two recommended fixes can now be installed.

Description:


python-six was updated to 1.11.0.
Changes:

  • `with_metaclass` now properly proxies `__prepare__` to the underlying metaclass.
  • Allow `with_metaclass` to work with metaclasses implemented in C.
  • Add parse_http_list and parse_keqv_list to moved urllib.request.
  • Add unquote_to_bytes to moved urllib.parse.
  • Add `six.moves.getoutput`.
  • Add `six.moves.urllib_parse.splitvalue`.
  • Add `six.moves.email_mime_image`.
  • Avoid creating reference cycles through tracebacks in `reraise`.
  • Improve the performance of `six.int2byte` on Python 3.
  • Don't add the `winreg` module to `six.moves` on non-Windows platforms.
  • Add `six.moves.getcwd` and `six.moves.getcwdu`.
  • Add `create_unbound_method` to create unbound methods.

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server 12-SP4:
    zypper in -t patch SUSE-SLE-SERVER-12-SP4-2018-3043=1
  • SUSE Linux Enterprise Server 12-SP3:
    zypper in -t patch SUSE-SLE-SERVER-12-SP3-2018-3043=1
  • SUSE Linux Enterprise Module for Public Cloud 12:
    zypper in -t patch SUSE-SLE-Module-Public-Cloud-12-2018-3043=1
  • SUSE Linux Enterprise Desktop 12-SP4:
    zypper in -t patch SUSE-SLE-DESKTOP-12-SP4-2018-3043=1
  • SUSE Linux Enterprise Desktop 12-SP3:
    zypper in -t patch SUSE-SLE-DESKTOP-12-SP3-2018-3043=1
  • SUSE CaaS Platform ALL:
    To install this update, use the SUSE CaaS Platform Velum dashboard. It will inform you if it detects new updates and let you then trigger updating of the complete cluster in a controlled way.
  • SUSE CaaS Platform 3.0:
    To install this update, use the SUSE CaaS Platform Velum dashboard. It will inform you if it detects new updates and let you then trigger updating of the complete cluster in a controlled way.
  • OpenStack Cloud Magnum Orchestration 7:
    zypper in -t patch SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2018-3043=1

Package List:

  • SUSE Linux Enterprise Server 12-SP4 (noarch):
    • python-six-1.11.0-9.18.1
    • python-six-doc-1.9.0-9.17.1
  • SUSE Linux Enterprise Server 12-SP3 (noarch):
    • python-six-1.11.0-9.18.1
    • python-six-doc-1.9.0-9.17.1
    • python3-six-1.11.0-9.18.1
  • SUSE Linux Enterprise Module for Public Cloud 12 (noarch):
    • python-six-1.11.0-9.18.1
    • python3-six-1.11.0-9.18.1
  • SUSE Linux Enterprise Desktop 12-SP4 (noarch):
    • python-six-1.11.0-9.18.1
    • python-six-doc-1.9.0-9.17.1
  • SUSE Linux Enterprise Desktop 12-SP3 (noarch):
    • python-six-1.11.0-9.18.1
    • python-six-doc-1.9.0-9.17.1
  • SUSE CaaS Platform ALL (noarch):
    • python-six-1.11.0-9.18.1
  • SUSE CaaS Platform 3.0 (noarch):
    • python-six-1.11.0-9.18.1
  • OpenStack Cloud Magnum Orchestration 7 (noarch):
    • python-six-1.11.0-9.18.1

References: